package com.ruoyi.generator.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 当前登录用户文章下的新增关注
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LikeVo {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private Long likeUserId;
    private Long userId;
    private String avatar;
    private String nickName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String type;
    private boolean isRead;
    private boolean isLike;
}
