package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityReportUser;
import com.ruoyi.generator.vo.CommunityReportUserVo;
import com.ruoyi.generator.vo.RecommendAndCollectVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityReportUserMapper extends BaseMapper<CommunityReportUser> {

    /**
     * 获取被举报的具体信息
     * @param offset
     * @param limit
     * @return
     */
    List<CommunityReportUserVo> selectCommunityReportUser          (@Param("offset") int offset,
                                                                      @Param("limit") int limit,
                                                                      @Param("searchType") int searchType,
                                                                      @Param("id") Long  id,
                                                                      @Param("type") Long  type,
                                                                      @Param("name") String  name,
                                                                      @Param("reason") String  reason,
                                                                      @Param("userId") String  userId);
}
