package com.ruoyi.generator.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 当前登录用户文章下的评论信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommentVo {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long joinId;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentReplyId;
    private Long userId;
    private int type;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long articleId;
    private String avatar;
    private String nickName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String content;
    private boolean isRead;
    private String imageUrl;
    private boolean isLike;
}
