package com.ruoyi.generator.vo;

import com.alibaba.fastjson2.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.ruoyi.generator.domain.Community.CommunityAccompany;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
*
* @TableName community_user_info
*/
@Data
public class ShareInfoVo implements Serializable {

    /**
    * 用户信息
    */
    private CommunityUserInfoVo userInfoVo;

    /**
     * 关注列表
     */
    private List<CommunityUserLikeVo> communityUserLikeVos;

    /**
     * 文章列表
     */
    private List<CommunityArticleVo> communityArticleVos;

    /**
     * 文章列表个人中心页面
     */
    private List<CommunityArticleVo> communityArticleVosForUserDetail;

    /**
     * 文章评论
     */
    private List<CommunityArticleCommentVo> communityArticleCommentVos;

    /**
     * 个人陪伴信息
     */
    private CommunityAccompany communityAccompany;

    /**
     * 合集
     */
    private JSONArray collection;

    /**
     * 所有合集
     */
    private List<CommunityCollectionVo> communityCollectionVos;

    /**
     * 隐私权
     */
    private List<CommunityUserPrivacyVo> communityUserPrivacyVos;

    /**
     * 个人喜欢文章
     */
    private List<CommunityArticleVo> communityArticleVosForPerson;

    /**
     * 个人喜欢文章
     */
    private List<CommunityArticleVo> communityArticleVosForPersonCollect;
}
