package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.util.Date;

@Data
public class SysUserVo {
    //用户id
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    //返图id
    @JsonSerialize(using = ToStringSerializer.class)
    private Long returnRecordId;
    //用户昵称
    private String nickName;
    //用户名
    private String username;
    //用户头像
    private String avatar;
    //最新消息发送者名称
    private String senderNickName;
    //用户id(接收人)
    private Long receiverId;
    //是否已读(接收人)
    private boolean receiverIsRead;
    //用户id(发送人)
    private Long senderId;
    //是否已读(发送人)
    private boolean senderIsRead;
    //最新消息信息时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date msgTime;
    //最新一条消息内容
    private String msg;
    //未读消息
    private Long unReads;

}
