package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.CommunityChatMsg;
import com.ruoyi.system.domain.vo.SysUserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ICommunityChatMsgService extends IService<CommunityChatMsg> {
    /**
     * 获取登录用户的聊天列表
     *
     * @param userId 用户id
     * @return 用户聊天列表
     */
    List<SysUserVo> getChatListWithLatestMessage(@Param("userId") Long userId,
                                                 @Param("type") String type);

    /**
     * 获取登录用户的聊天列表
     *
     * @param userId 用户id
     * @return 用户聊天列表
     */
    List<SysUserVo> getChatListWithLatestMessage(Long userId, String type, String searchValue, List<Long> returnRecordIds,int offset,int limit);

}
